package com.usoft.fin.grpc.dal.entity;

import java.math.BigDecimal;

/**
 * <pre>
 * 用户还款计划信息
 * 表名 : t_repay_plan
 * </pre>
 * @author: Mybatis Generator
 */
public class RepayPlan {
    /**
     * <pre>
     * id
     * 表字段 : t_repay_plan.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 还款计划编号
     * 表字段 : t_repay_plan.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay_plan.repay_code
     * </pre>
     */
    private String repayCode;

    /**
     * <pre>
     * 还款日期
     * 表字段 : t_repay_plan.repay_date
     * </pre>
     */
    private String repayDate;

    /**
     * <pre>
     * 应还利息
     * 表字段 : t_repay_plan.should_repay_interest
     * </pre>
     */
    private BigDecimal shouldRepayInterest;

    /**
     * <pre>
     * 应还本金
     * 表字段 : t_repay_plan.should_repay_principal
     * </pre>
     */
    private BigDecimal shouldRepayPrincipal;

    /**
     * <pre>
     * 应还本息合计
     * 表字段 : t_repay_plan.should_repay_total
     * </pre>
     */
    private BigDecimal shouldRepayTotal;

    /**
     * <pre>
     * 期数
     * 表字段 : t_repay_plan.periods_number
     * </pre>
     */
    private Short periodsNumber;

    /**
     * <pre>
     * 还款状态（301.待还款 302.已失效 300.已还款）
     * 表字段 : t_repay_plan.status
     * </pre>
     */
    private Short status;

    /**
     * <pre>
     * id
     * 表字段 : t_repay_plan.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_repay_plan.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 还款计划编号
     * 表字段 : t_repay_plan.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 还款计划编号
     * 表字段 : t_repay_plan.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay_plan.repay_code
     * </pre>
     */
    public String getRepayCode() {
        return repayCode;
    }

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay_plan.repay_code
     * </pre>
     */
    public void setRepayCode(String repayCode) {
        this.repayCode = repayCode == null ? null : repayCode.trim();
    }

    /**
     * <pre>
     * 还款日期
     * 表字段 : t_repay_plan.repay_date
     * </pre>
     */
    public String getRepayDate() {
        return repayDate;
    }

    /**
     * <pre>
     * 还款日期
     * 表字段 : t_repay_plan.repay_date
     * </pre>
     */
    public void setRepayDate(String repayDate) {
        this.repayDate = repayDate == null ? null : repayDate.trim();
    }

    /**
     * <pre>
     * 应还利息
     * 表字段 : t_repay_plan.should_repay_interest
     * </pre>
     */
    public BigDecimal getShouldRepayInterest() {
        return shouldRepayInterest;
    }

    /**
     * <pre>
     * 应还利息
     * 表字段 : t_repay_plan.should_repay_interest
     * </pre>
     */
    public void setShouldRepayInterest(BigDecimal shouldRepayInterest) {
        this.shouldRepayInterest = shouldRepayInterest;
    }

    /**
     * <pre>
     * 应还本金
     * 表字段 : t_repay_plan.should_repay_principal
     * </pre>
     */
    public BigDecimal getShouldRepayPrincipal() {
        return shouldRepayPrincipal;
    }

    /**
     * <pre>
     * 应还本金
     * 表字段 : t_repay_plan.should_repay_principal
     * </pre>
     */
    public void setShouldRepayPrincipal(BigDecimal shouldRepayPrincipal) {
        this.shouldRepayPrincipal = shouldRepayPrincipal;
    }

    /**
     * <pre>
     * 应还本息合计
     * 表字段 : t_repay_plan.should_repay_total
     * </pre>
     */
    public BigDecimal getShouldRepayTotal() {
        return shouldRepayTotal;
    }

    /**
     * <pre>
     * 应还本息合计
     * 表字段 : t_repay_plan.should_repay_total
     * </pre>
     */
    public void setShouldRepayTotal(BigDecimal shouldRepayTotal) {
        this.shouldRepayTotal = shouldRepayTotal;
    }

    /**
     * <pre>
     * 期数
     * 表字段 : t_repay_plan.periods_number
     * </pre>
     */
    public Short getPeriodsNumber() {
        return periodsNumber;
    }

    /**
     * <pre>
     * 期数
     * 表字段 : t_repay_plan.periods_number
     * </pre>
     */
    public void setPeriodsNumber(Short periodsNumber) {
        this.periodsNumber = periodsNumber;
    }

    /**
     * <pre>
     * 还款状态（301.待还款 302.已失效 300.已还款）
     * 表字段 : t_repay_plan.status
     * </pre>
     */
    public Short getStatus() {
        return status;
    }

    /**
     * <pre>
     * 还款状态（301.待还款 302.已失效 300.已还款）
     * 表字段 : t_repay_plan.status
     * </pre>
     */
    public void setStatus(Short status) {
        this.status = status;
    }
}